Bug 442489 - Screen will not turn back on after suspend on Compaq F572US
Screen will not turn back on after suspend on Compaq F572US
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 23:06 EDT by Ben Pierce
Modified: 2013-03-05 22:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Pierce 2008-04-14 23:06:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008040721 Fedora/3.0-0.53.beta5.fc9 Firefox/3.0b5

Description of problem:
Issuing the suspend command, either by gnome menu or "pm-suspend" in cli properly suspends the laptop.  However, when you press any keys to bring the laptop out of suspend, everything comes back except the screen.  I can even issue key-strokes to get the laptop to shutdown.  I can even remote into the laptop.  Nothing seems to bring this back.  I have tried all of the quirks and none have helped.

This laptop has an Nvidia MCP51 PCI-X GeForce Go 6100 (rev a2) card, and I am running the "nv" driver.

Version-Release number of selected component (if applicable):
pm-utils-1.1.0-4.fc9.x86_64 

How reproducible:
Always


Steps to Reproduce:
1.In gnome, click "Gnome-Menu" -> "Shutdown", then click Suspend
2.Once the laptop is suspended, and the power light blinking, hit the enter key to bring the laptop back from suspend.
3.Observe that the wireless light goes from red to blue and that all functions of the laptop seem to work except for the screen.

Actual Results:


Expected Results:


Additional info:
Comment 1 Ben Pierce 2008-04-14 23:20:06 EDT
Forgot to add that I am using kernel 2.6.25-0.218.rc8.git7.fc9.x86_64 and that
in order to boot, I have to add the boot option noapic. However, everything else
seems to work as expected.
Comment 2 Till Maas 2008-04-15 04:01:36 EDT
You probably need to uses quirks, they are described here:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html

The info is stored in the hal-info package. To know a little more, please post
the output of:
lshal | egrep
"(system.hardware.(product|vendor|version)|system.firmware.version|power_management.quirk)"
Comment 3 Ben Pierce 2008-04-24 20:28:32 EDT
[bpierce@benslaptop ~]$ lshal | egrep
"(system.hardware.(product|vendor|version)|system.firmware.version|power_management.quirk)"
  system.firmware.version = 'F.19'  (string)
  system.hardware.product = 'Presario dv6000 (GF596UA#ABA)'  (string)
  system.hardware.vendor = 'Hewlett-Packard'  (string)
  system.hardware.version = 'Rev 1'  (string)
Comment 4 Bug Zapper 2008-05-14 05:27:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Roman Shuvalov 2008-05-27 14:55:36 EDT
Same problem on HP Compaq 6720s - screen still black when bringing the laptop
out of suspend. OS: Fedora 8. 

output of lshal | egrep (...) :

system.firmware.version = '68DU Ver. F.01' (string)
system.hardware.product = 'HP Compaq 6720s' (string)
system.hardware.vendor = 'Hewlett-Packard' (string)
system.hardware.version = 'F.01' (string)
Comment 6 Bug Zapper 2009-06-09 20:11:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:09:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.